function fractalfern(niter, x)

Points=zeros(2, niter+1);
Points(:,1)=x;
axis([-3 3 0 10]);

p  = [ .85  .92  .99  1.00];
A1 = [ .85  .04; -.04  .85];  b1 = [0; 1.6];
A2 = [ .20 -.26;  .23  .22];  b2 = [0; 1.6];
A3 = [-.15  .28;  .26  .24];  b3 = [0; .44];
A4 = [  0    0 ;   0   .16];

cnt=1;
while cnt<=niter
   r = rand;
   if r < p(1)
      x = A1*x + b1;
   elseif r < p(2)
      x = A2*x + b2;
   elseif r < p(3)
      x = A3*x + b3;
   else
      x = A4*x;
   end
     cnt = cnt + 1;
   Points(:, cnt)=x;
end
plot(Points(1, :), Points(2, :),' .g');
end
